package com.bonus.common.biz.enums;

import lombok.Getter;

@Getter
public enum TmTaskTypeEnum {

    TM_TASK_PURCHASE(0, "新购"),
    TM_TASK_PURCHASE_PART(1, "新购配件任务"),
    TM_TASK_LEASE(2, "领料任务"),
    TM_TASK_BACK(3, "退料任务"),
    TM_TASK_REPAIR(4, "维修任务"),
    TM_TASK_REPAIR_STORAGE(5, "修试后入库任务"),
    TM_TASK_SCRAP(6, "报废任务"),
    TM_TASK_SETTLEMENT(7, "结算任务"),
    TM_TASK_CHECK(8, "检验任务"),
    TM_TASK_FACTORY_MANAGEMENT(9, "物资厂家管理任务"),
    TM_TASK_AGREEMENT_MANAGEMENT(10, "新增协议任务");

    private final Integer taskTypeId;
    private final String taskTypeName;

    TmTaskTypeEnum(Integer taskTypeId, String taskTypeName) {
        this.taskTypeId = taskTypeId;
        this.taskTypeName = taskTypeName;
    }
}
